Users / Profile
List / search users
GET
/usersSearch and list users. `search` is AND-matched by whitespace across slug, name, title and bio.
| Auth | Not required |
|---|
Query parameters
pagenumberoptionalPage number (1-based). Default 1.
perPagenumberoptionalItems per page. Default 20.
searchstringoptionalSearch keyword (AND by whitespace)
Request
curl https://api.4s.link/users \-H "Authorization: Bearer 4s_at_..."
Example response
{"users": [{"id": "a1b2c3d4-...","slug": "taro","firstName": "太郎","lastName": "山田","nativeName": null,"avatarUrl": "https://.../avatar.png","title": "Engineer","bio": "...","tags": []}],"pageInfo": { "totalCount": 100, "totalPages": 5, "page": 1, "perPage": 20 }}